#!/usr/bin/env nix
#! nix shell nixpkgs#bash nixpkgs#git nixpkgs#curl nixpkgs#gojq --command bash

# SPDX-FileCopyrightText: 2024 Hoang Nguyen <folliekazetani@protonmail.com>
#
# SPDX-License-Identifier: Apache-2.0

# This script is intended to be run at project root via
# `bazel run //:gen_pulumi_metaschema` command

INPUT_SCHEMA=/tmp/pulumi.json
OUTFILE="$(git rev-parse --show-toplevel)/schemata/pulumi/package.cue"

curl -fsSL \
	-o "$INPUT_SCHEMA" \
	https://raw.githubusercontent.com/pulumi/pulumi/master/pkg/codegen/schema/pulumi.json

# FIXME: doesn't work yet (https://github.com/cue-lang/cue/issues/2654)
cue import --force \
	--package="pulumi" \
	--path="#Package" \
	--outfile="$OUTFILE" \
	"$INPUT_SCHEMA"
